--NAME:default_gesa_hp_switch
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_SW_HP_LOAD,GESA_SNMP_SW_HP_MEM,GESA_SNMP_SW_HP_ENV

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_hp_switch','pattern de supervision des switch HP/Aruba 2500+');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_hp_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_SW_HP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_hp_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_HP_LOAD'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_sw_hp_load -a $IP $SNMP_COM 80% 90%',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_SW_HP_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_hp_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_HP_MEM'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_sw_hp_mem -a $IP $SNMP_COM 80% 90%',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_SW_HP_ENV',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_hp_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_HP_ENV'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_sw_hp_env -a $IP $SNMP_COM',300000,NULL,NULL,NULL,NULL,NULL,3);

